# $Revision: 1.9 $, $Date: 2010/07/08 08:00:54 $
%define		realname PyBluez
Summary:	Python API for Bluetooth resources
Summary(pl.UTF-8):	API Pythona do obsługi urządzeń Bluetooth
Name:		python-bluetooth
Version:	0.18
Release:	2
License:	GPL v2+
Group:		Libraries/Python
Source0:	http://pybluez.googlecode.com/files/%{realname}-%{version}.tar.gz
# Source0-md5:	be8c8ce615c3189fda1aaf3d568314b2
URL:		http://code.google.com/p/pybluez/
BuildRequires:	bluez-libs-devel
BuildRequires:	python-devel >= 1:2.3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
Obsoletes:	python-pybluez <= 0.15
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyBluez is an effort to create Python wrappers around system Bluetooth
resources to allow Python developers to easily and quickly create
Bluetooth applications.

%description -l pl.UTF-8
PyBluez to próba stworzenia pythonowej obudowy dla zasobów systemowych
Bluetooth w celu umożliwienia programistom Pythona łatwego i szybkiego
tworzenia aplikacji Bluetooth.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%{py_sitedir}/%{realname}-%{version}-py*.egg-info
%dir %{py_sitedir}/bluetooth
%{py_sitedir}/bluetooth/*.py[co]
%attr(755,root,root) %{py_sitedir}/bluetooth/_bluetooth.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-bluetooth.spec,v $
Revision 1.9  2010/07/08 08:00:54  arekm
- release 2

Revision 1.8  2010/06/13 15:04:48  arvenil
- up to 0.18

Revision 1.7  2009/10/25 09:51:50  wiget
- updated to 0.17

Revision 1.6  2009/03/14 23:09:50  duddits
- up to 0.16

Revision 1.5  2008/10/03 17:46:40  arekm
- release 4

Revision 1.4  2008/09/16 18:48:40  qboosh
- docs are back
- License is GPL
- release 3

Revision 1.3  2008/09/16 18:40:18  qboosh
- pl (partially merged from old spec)

Revision 1.2  2008/09/16 18:25:01  patrys
- Obsoletes: python-pybluez
- rel 2

Revision 1.1  2008/09/16 11:01:04  patrys
- initial PLD release
